// This source file is part of HGamer3D
// (A project to enable 3D game development in Haskell)
// For the latest info, see http://www.althainz.de/HGamer3D.html
// 
// (c) 2011 Peter Althainz
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
//     http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// ClassLinearAnalogEmulator.h
// 
// 
// 
// 
// File for type, method, enum or function stubs  
// in: "Module-OIS/oisb/include\OISBAnalogEmulation.h"
// 
// each stub combines the following files: 
//     a C++ implementation file, transforming cpp calls into C-functions
//     a C-header file, making this C-functions available for the C2HS parser
//     a chs file, give instructions to the C2HS parser.
// 
// 

#include "wchar.h"
#include "ClassPtr.h"
#include "Utils.h"


// original function: const String& getType();
void cLae_getType_c(struct hg3dclass_struct *classptr_c, char * result_c);
// original function: bool checkBinding(Binding* binding);
void cLae_checkBinding_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * binding_c, int * result_c);
// original function: Real emulateRelative(Binding* binding, Real delta);
void cLae_emulateRelative_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * binding_c, float delta_c, float * result_c);
// original function: Real emulateAbsolute(Binding* binding, Real delta);
void cLae_emulateAbsolute_c(struct hg3dclass_struct *classptr_c, struct hg3dclass_struct * binding_c, float delta_c, float * result_c);
// original function: void setDecreaseSpeed(Real speed);
void cLae_setDecreaseSpeed_c(struct hg3dclass_struct *classptr_c, float speed_c);
// original function: void setIncreaseSpeed(Real speed);
void cLae_setIncreaseSpeed_c(struct hg3dclass_struct *classptr_c, float speed_c);
// original function: void setSpeed(Real speed);
void cLae_setSpeed_c(struct hg3dclass_struct *classptr_c, float speed_c);
// original function: void setReturnEnabled(bool enabled);
void cLae_setReturnEnabled_c(struct hg3dclass_struct *classptr_c, int enabled_c);
// original function: void setReturnValue(Real value);
void cLae_setReturnValue_c(struct hg3dclass_struct *classptr_c, float value_c);
// original function: void setReturnDecreaseSpeed(Real speed);
void cLae_setReturnDecreaseSpeed_c(struct hg3dclass_struct *classptr_c, float speed_c);
// original function: void setReturnIncreaseSpeed(Real speed);
void cLae_setReturnIncreaseSpeed_c(struct hg3dclass_struct *classptr_c, float speed_c);
// original function: void setReturnSpeed(Real speed);
void cLae_setReturnSpeed_c(struct hg3dclass_struct *classptr_c, float speed_c);
